cam=CreateCamera(player)
PositionEntity cam,500,5,500
CameraRange  cam,0.1,100000
CameraFogMode cam,True

;==================================================
Function create_player()
	
	player=CreateSphere()

End Function

create_player()

;==================================================
Function  MakeSkyBox( file$ )

	sun=CreateLight()
	PositionEntity sun,200,200,200
	
	m=CreateMesh()
	b=LoadBrush( "./res/textures/"+file$+"_FR.jpg",49 )
	s=CreateSurface( m,b )
	AddVertex s,-1,+1,-1,0,0:AddVertex s,+1,+1,-1,1,0
	AddVertex s,+1,-1,-1,1,1:AddVertex s,-1,-1,-1,0,1
	AddTriangle s,0,1,2:AddTriangle s,0,2,3
	FreeBrush b
	b=LoadBrush( "./res/textures/"+file$+"_RT.jpg",49 )
	s=CreateSurface( m,b )
	AddVertex s,+1,+1,-1,0,0:AddVertex s,+1,+1,+1,1,0
	AddVertex s,+1,-1,+1,1,1:AddVertex s,+1,-1,-1,0,1
	AddTriangle s,0,1,2:AddTriangle s,0,2,3
	FreeBrush b
	b=LoadBrush( "./res/textures/"+file$+"_BK.jpg",49 )
	s=CreateSurface( m,b )
	AddVertex s,+1,+1,+1,0,0:AddVertex s,-1,+1,+1,1,0
	AddVertex s,-1,-1,+1,1,1:AddVertex s,+1,-1,+1,0,1
	AddTriangle s,0,1,2:AddTriangle s,0,2,3
	FreeBrush b
	b=LoadBrush( "./res/textures/"+file$+"_LF.jpg",49 )
	s=CreateSurface( m,b )
	AddVertex s,-1,+1,+1,0,0:AddVertex s,-1,+1,-1,1,0
	AddVertex s,-1,-1,-1,1,1:AddVertex s,-1,-1,+1,0,1
	AddTriangle s,0,1,2:AddTriangle s,0,2,3
	FreeBrush b
	b=LoadBrush( "./res/textures/"+file$+"_UP.jpg",49 )
	s=CreateSurface( m,b )
	AddVertex s,-1,+1,+1,0,1:AddVertex s,+1,+1,+1,0,0
	AddVertex s,+1,+1,-1,1,0:AddVertex s,-1,+1,-1,1,1
	AddTriangle s,0,1,2:AddTriangle s,0,2,3
	FreeBrush b
	
	ScaleMesh m,1000,1000,1000
	FlipMesh m
	EntityFX m,9
	EntityOrder m,10
	Return m

End Function

sky=MakeSkyBox("sky")
ScaleEntity  sky,10,10,10

;==================================================
Function create_world()

	seabed=LoadTerrain("./res/hmaps/seabed.jpg")
	TerrainDetail seabed,2000,True
	seabed_tex=LoadTexture("./res/textures/sand.jpg")
	EntityTexture seabed,seabed_tex
	FreeTexture seabed_tex
	PositionEntity seabed,0,0,0
	
	water=CreatePlane()
	water_tex=LoadTexture("./res/textures/water.jpg")
	ScaleTexture water_tex,20,20
	EntityTexture water,water_tex
	EntityAlpha water,.5
	FreeTexture water_tex
	PositionEntity water,0,.7,0
	
End Function

create_world()